



/* Attribute validation */



$(document).ready(function(){



  $('.name').change(function(){

   var error_name = '';

   var attribute = $('.name').val();

   var filter = /^[a-zA-Z0-9]*$/;

   var attribute_id=$('#attribute_id').val();

   if(!filter.test(attribute))

   {    

    $('#error_name').html('<label class="text-danger">Invalid attribute</label>');

    $('#submit').attr('disabled', 'disabled');

   }

   else

   {

     $.ajaxSetup({

     headers: {

         'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')

     }

     });

    

     $.ajax({ 

        

        url:url_validation,

        method:"POST",

        data:{attribute:attribute},

        success:function(result)

        {

           if(result == 'unique')

           {

            $('#error_name').html('<label class="text-danger">Attribute Name is not Available</label>');

             $('#submit').attr('disabled', false);

           }

           else

           {

           $('#error_name').html('<label class="text-danger">Attribute Name is not Available</label>');

     

           $('#submit').attr('disabled', 'disabled');

           }

         }

        })

    }

  

 });

 });





 /* jquery for iteams visible */

 

 $(document).ready(function(){

    
 
  $('input:checkbox[name=checkvisible]').click(function(){

    var iteamId=$(this).val();

      if($(this).prop("checked") == true){

        var visiblevalue=1;

        $.ajaxSetup({

          headers: {

          'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')

          }

        });  

       

        $.ajax({

          url:url_checkvisible,

          method:"POST",

          data:{iteamId:iteamId,visiblevalue:visiblevalue},

      });



      }

      else if($(this).prop("checked") == false){

        var visiblevalue=0;

        $.ajaxSetup({

          headers: {

          'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')

          }

        });  

       

        $.ajax({

          url:url_checkvisible,

          method:"POST",

          data:{iteamId:iteamId,visiblevalue:visiblevalue},

      });



      }

  });

});







/*jquery for nondeleteble */





$(document).ready(function(){

    

  $('input:checkbox[name=Non_Deletable]').click(function(){

    var attributeId=$(this).val();

      if($(this).prop("checked") == true){

        var deletablevalue=1;

        $.ajaxSetup({

          headers: {

          'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')

          }

        });  

       

        $.ajax({

          url:url_checkdeletable,

          method:"POST",

          data:{attributeId:attributeId,deletablevalue:deletablevalue},

      });



      }

      else if($(this).prop("checked") == false){

        var deletablevalue=0;

        $.ajaxSetup({

          headers: {

          'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')

          }

        });  

       

        $.ajax({

          url:url_checkdeletable,

          method:"POST",

          data:{attributeId:attributeId,deletablevalue:deletablevalue},

      });



      }

  });

});

